Simulate yield farming returns
curl --request POST \
--url https://api.getnimbus.io/v2/farming/{id}/simulate \
--header 'Content-Type: application/json' \
--data '
{
"type": "Pools",
"data": {
"priceChangeA": 10,
"priceChangeB": 20,
"weightA": 50,
"weightB": 50,
"value": 100
}
}
'import requests
url = "https://api.getnimbus.io/v2/farming/{id}/simulate"
payload = {
"type": "Pools",
"data": {
"priceChangeA": 10,
"priceChangeB": 20,
"weightA": 50,
"weightB": 50,
"value": 100
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'Pools',
data: {priceChangeA: 10, priceChangeB: 20, weightA: 50, weightB: 50, value: 100}
})
};
fetch('https://api.getnimbus.io/v2/farming/{id}/simulate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"data": [
{
"date": "2023-11-07T05:31:56Z",
"value": 123
}
],
"il": 123,
"ilAmount": 123
}
}Farming
Simulate yield farming returns
Calculates potential returns for yield farming based on investment amount and price changes
POST
/
v2
/
farming
/
{id}
/
simulate
Simulate yield farming returns
Path Parameters
The ID of the vault to simulate
Query Parameters
The chain of the vault
Body
application/json
Response
Simulation results for different time periods
Show child attributes
Show child attributes
⌘I

